pcl::ProjectInliers< PointT > Class Template Reference
Module filters

ProjectInliers uses a model and a set of inlier indices from a PointCloud to project them into a separate PointCloud. More...

`#include <pcl/filters/project_inliers.h>`

Inheritance diagram for pcl::ProjectInliers< PointT >:

## Public Types

typedef boost::shared_ptr< ProjectInliers< PointT > > | Ptr
typedef boost::shared_ptr< const ProjectInliers< PointT > > | ConstPtr
Public Types inherited from pcl::Filter< PointT >
typedef boost::shared_ptr< Filter< PointT > > | Ptr
typedef boost::shared_ptr< const Filter< PointT > > | ConstPtr
typedef pcl::PointCloud< PointT > | PointCloud
typedef PointCloud::Ptr | PointCloudPtr
typedef PointCloud::ConstPtr | PointCloudConstPtr
Public Types inherited from pcl::PCLBase< PointT >
typedef pcl::PointCloud< PointT > | PointCloud
typedef PointCloud::Ptr | PointCloudPtr
typedef PointCloud::ConstPtr | PointCloudConstPtr
typedef boost::shared_ptr< PointIndices > | PointIndicesPtr
typedef boost::shared_ptr< PointIndices const > | PointIndicesConstPtr

## Public Member Functions

| ProjectInliers ()
| Empty constructor. More...
virtual | ~ProjectInliers ()
| Empty destructor. More...
void | setModelType (int model)
| The type of model to use (user given parameter). More...
int | getModelType ()
| Get the type of SAC model used. More...
void | setModelCoefficients (const ModelCoefficientsConstPtr &model)
| Provide a pointer to the model coefficients. More...
ModelCoefficientsConstPtr | getModelCoefficients ()
| Get a pointer to the model coefficients. More...
void | setCopyAllData (bool val)
| Set whether all data will be returned, or only the projected inliers. More...
bool | getCopyAllData ()
| Get whether all data is being copied (true), or only the projected inliers (false). More...
Public Member Functions inherited from pcl::Filter< PointT >
| Filter (bool extract_removed_indices=false)
| Empty constructor. More...
virtual | ~Filter ()
| Empty destructor. More...
IndicesConstPtr const | getRemovedIndices ()
| Get the point indices being removed. More...
void | getRemovedIndices (PointIndices &pi)
| Get the point indices being removed. More...
void | filter (PointCloud &output)
| Calls the filtering method and returns the filtered dataset in output. More...
Public Member Functions inherited from pcl::PCLBase< PointT >
| PCLBase ()
| Empty constructor. More...
| PCLBase (const PCLBase &base)
| Copy constructor. More...
virtual | ~PCLBase ()
| Destructor. More...
virtual void | setInputCloud (const PointCloudConstPtr &cloud)
| Provide a pointer to the input dataset. More...
PointCloudConstPtr const | getInputCloud () const
| Get a pointer to the input point cloud dataset. More...
virtual void | setIndices (const IndicesPtr &indices)
| Provide a pointer to the vector of indices that represents the input data. More...
virtual void | setIndices (const IndicesConstPtr &indices)
| Provide a pointer to the vector of indices that represents the input data. More...
virtual void | setIndices (const PointIndicesConstPtr &indices)
| Provide a pointer to the vector of indices that represents the input data. More...
virtual void | setIndices (size_t row_start, size_t col_start, size_t nb_rows, size_t nb_cols)
| Set the indices for the points laying within an interest region of the point cloud. More...
IndicesPtr const | getIndices ()
| Get a pointer to the vector of indices used. More...
IndicesConstPtr const | getIndices () const
| Get a pointer to the vector of indices used. More...
const PointT & | operator[] (size_t pos) const
| Override PointCloud operator[] to shorten code. More...

## Protected Member Functions

void | applyFilter (PointCloud &output)
| Project point indices into a separate PointCloud. More...
Protected Member Functions inherited from pcl::Filter< PointT >
const std::string & | getClassName () const
| Get a string representation of the name of this class. More...
Protected Member Functions inherited from pcl::PCLBase< PointT >
bool | initCompute ()
| This method should get called before starting the actual computation. More...
bool | deinitCompute ()
| This method should get called after finishing the actual computation. More...

## Additional Inherited Members

Protected Attributes inherited from pcl::Filter< PointT >
IndicesPtr | removed_indices_
| Indices of the points that are removed. More...
std::string | filter_name_
| The filter name. More...
bool | extract_removed_indices_
| Set to true if we want to return the indices of the removed points. More...
Protected Attributes inherited from pcl::PCLBase< PointT >
PointCloudConstPtr | input_
| The input point cloud dataset. More...
IndicesPtr | indices_
| A pointer to the vector of point indices to use. More...
bool | use_indices_
| Set to true if point indices are used. More...
bool | fake_indices_
| If no set of indices are given, we construct a set of fake indices that mimic the input PointCloud. More...

## Detailed Description

### template<typename PointT>
class pcl::ProjectInliers< PointT >

ProjectInliers uses a model and a set of inlier indices from a PointCloud to project them into a separate PointCloud.

Author
  Radu Bogdan Rusu

Definition at line 69 of file project_inliers.h.

## Member Typedef Documentation

## ConstPtr

template<typename PointT>

typedef boost::shared_ptr< const ProjectInliers<PointT> > pcl::ProjectInliers< PointT >::ConstPtr

Definition at line 84 of file project_inliers.h.

## Ptr

template<typename PointT>

typedef boost::shared_ptr< ProjectInliers<PointT> > pcl::ProjectInliers< PointT >::Ptr

Definition at line 83 of file project_inliers.h.

## Constructor & Destructor Documentation

## ProjectInliers()

template<typename PointT>

pcl::ProjectInliers< PointT >::ProjectInliers | ( |  | ) |

inline

Empty constructor.

Definition at line 88 of file project_inliers.h.

References pcl::Filter< PointT >::filter_name_.

## ~ProjectInliers()

template<typename PointT>

virtual pcl::ProjectInliers< PointT >::~ProjectInliers | ( |  | ) |

inline virtual

Empty destructor.

Definition at line 94 of file project_inliers.h.

## Member Function Documentation

## applyFilter()

template<typename PointT >

void pcl::ProjectInliers< PointT >::applyFilter | ( | PointCloud & | output | ) |

protected virtual

Project point indices into a separate PointCloud.

Parameters

  output | the resultant point cloud message

Implements pcl::Filter< PointT >.

Definition at line 45 of file project_inliers.hpp.

References pcl::PointCloud< PointT >::height, pcl::PointCloud< PointT >::points, pcl::SACMODEL_CIRCLE2D, pcl::SACMODEL_CONE, pcl::SACMODEL_CYLINDER, pcl::SACMODEL_LINE, pcl::SACMODEL_NORMAL_PARALLEL_PLANE, pcl::SACMODEL_NORMAL_PLANE, pcl::SACMODEL_NORMAL_SPHERE, pcl::SACMODEL_PARALLEL_LINE, pcl::SACMODEL_PARALLEL_PLANE, pcl::SACMODEL_PERPENDICULAR_PLANE, pcl::SACMODEL_PLANE, pcl::SACMODEL_SPHERE, and pcl::PointCloud< PointT >::width.

Referenced by pcl::ProjectInliers< PointT >::getCopyAllData().

## getCopyAllData()

template<typename PointT>

bool pcl::ProjectInliers< PointT >::getCopyAllData | ( |  | ) |

inline

Get whether all data is being copied (true), or only the projected inliers (false).

Definition at line 139 of file project_inliers.h.

References pcl::ProjectInliers< PointT >::applyFilter().

## getModelCoefficients()

template<typename PointT>

ModelCoefficientsConstPtr pcl::ProjectInliers< PointT >::getModelCoefficients | ( |  | ) |

inline

Get a pointer to the model coefficients.

Definition at line 123 of file project_inliers.h.

## getModelType()

template<typename PointT>

int pcl::ProjectInliers< PointT >::getModelType | ( |  | ) |

inline

Get the type of SAC model used.

Definition at line 107 of file project_inliers.h.

## setCopyAllData()

template<typename PointT>

void pcl::ProjectInliers< PointT >::setCopyAllData | ( | bool | val | ) |

inline

Set whether all data will be returned, or only the projected inliers.

Parameters

  val | true if all data should be returned, false if only the projected inliers

Definition at line 132 of file project_inliers.h.

## setModelCoefficients()

template<typename PointT>

void pcl::ProjectInliers< PointT >::setModelCoefficients | ( | const ModelCoefficientsConstPtr & | model | ) |

inline

Provide a pointer to the model coefficients.

Parameters

  model | a pointer to the model coefficients

Definition at line 116 of file project_inliers.h.

Referenced by pcl::LocalMaximum< PointT >::applyFilterIndices().

## setModelType()

template<typename PointT>

void pcl::ProjectInliers< PointT >::setModelType | ( | int | model | ) |

inline

The type of model to use (user given parameter).

Parameters

  model | the model type (check model_types.h)

Definition at line 100 of file project_inliers.h.

Referenced by pcl::LocalMaximum< PointT >::applyFilterIndices().

The documentation for this class was generated from the following files:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/filters/include/pcl/filters/project_inliers.h
- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/filters/include/pcl/filters/impl/project_inliers.hpp